<?php
/*
VideoWhisper 2 Way Video Chat (for Joomla):

Copyright (C) 2009  VideoWhisper.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 Joomla! 1.5 component Videowhisper_2wvc

 @author VideoWhisper.com
 @package Joomla
 @subpackage Videowhisper_2wvc
 @license GNU/GPL

VideoWhisper 2 Way Video Chat is a premium high definition video communication software designed for instant 1 on 1 online video conferencing. It's a solution for conducting easy to setup face to face meetings without leaving your office or home. It's the easiest and most cost-effective way to meet somebody and discuss one on one. 
http://www.videowhisper.com/?p=2+Way+Video+Chat
 
*/
defined('_JEXEC') or die('Restricted access'); ?>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<div class="col100">
    <fieldset class="adminform">
      <legend><?php echo JText::_( 'Room Details' ); ?></legend>
        <table class="admintable">
        <tr>
            <td width="100" align="right" class="key">
                <label for="maxbandwidth">
                    <?php echo JText::_( 'Room' ); ?>:
                </label>
          </td>
            <td>
                <input class="text_area" type="text" name="room" id="room" size="32" maxlength="64" value="<?php echo $this->croom->room;?>" />
            </td>
        </tr>        <tr>
            <td width="100" align="right" class="key">
                <label for="welcome">
                    <?php echo JText::_( 'Welcome Message' ); ?>:
                </label>
            </td>
            <td><textarea name="welcome" cols="32" rows="3" class="text_area" id="welcome"><?php echo $this->croom->welcome;?></textarea>
            </td>
        </tr>

        <tr>
          <td align="right" class="key"><?php echo JText::_( 'Public (Listed)' ); ?></td>
          <td><select name="public" id="public">
            <option value="0" <?=(!$this->croom->public?"selected":"")?>><?php echo JText::_( 'No' ); ?></option>
            <option value="1" <?=($this->croom->public?"selected":"")?>><?php echo JText::_( 'Yes' ); ?></option>
          </select></td>
        </tr>
      </table>
    </fieldset>
        <br />
      <fieldset class="adminform">
      <legend><?php echo JText::_( 'Streaming Settings' ); ?></legend>
        <table class="admintable">
          <tr>
            <td width="100" align="right" class="key"><label for="camres"> <?php echo JText::_( 'Resolution' ); ?>: </label></td>
            <td><select name="camres" id="camres">
              <option value="320x240" <?=($this->croom->camres=="320x240"?"selected":"")?>>320x240</option>
              <option value="160x120" <?=($this->croom->camres=="160x120"?"selected":"")?>>160x120</option>
              <option value="640x480" <?=($this->croom->camres=="640x480"?"selected":"")?>>640x480</option>
            </select></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td width="100" align="right" class="key"><label for="camfps"> <?php echo JText::_( 'Frames Per Second (FPS)' ); ?>: </label></td>
            <td><select name="camfps" id="camfps">
              <option value="15" <?=($this->croom->camfps=="15"?"selected":"")?>>15</option>
              <option value="12" <?=($this->croom->camfps=="12"?"selected":"")?>>12</option>
              <option value="24" <?=($this->croom->camfps=="24"?"selected":"")?>>24</option>
              <option value="30" <?=($this->croom->camfps=="30"?"selected":"")?>>30</option>
            </select></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Bandwidth' ); ?>: </td>
            <td><input class="text_area" type="text" name="bandwidth" id="bandwidth" size="8" maxlength="9" value="<?=($this->croom->bandwidth?$this->croom->bandwidth:40960)?>" /></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Maximum Bandwidth' ); ?>: </td>
            <td><input class="text_area" type="text" name="maxbandwidth" id="maxbandwidth" size="8" maxlength="9" value="<?=($this->croom->maxbandwidth?$this->croom->maxbandwidth:81920)?>" /></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'RTMP Application Address' ); ?></td>
            <td><input class="text_area" type="text" name="rtmp" id="rtmp" size="64" maxlength="200" value="<?php echo $this->croom->rtmp;?>" /></td>
            <td><?php echo JText::_( 'Leave blank to use default (if defined in parameters). Must be a RTMP address pointing to the VideoWhisper RTMP application installed on a RTMP server.'); ?></td>
          </tr>
        </table>
    </fieldset>
            <br />
      <fieldset class="adminform">
      <legend><?php echo JText::_( 'Usage Limitations' ); ?></legend>
        <table class="admintable">
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Suspended' ); ?></td>
            <td><select name="suspended" id="suspended">
              <option value="0" <?=(!$this->croom->suspended?"selected":"")?>><?php echo JText::_( 'No' ); ?></option>
              <option value="1" <?=($this->croom->suspended?"selected":"")?>><?php echo JText::_( 'Yes' ); ?></option>
            </select></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td width="100" align="right" class="key"><label for="mext"><?php echo JText::_( 'Expiration (days)' ); ?>: </label></td>
            <td><input class="text_area" type="text" name="timeexpire" id="timeexpire" size="8" maxlength="9" value="<?=($this->croom->timeexpire?$this->croom->timeexpire:0)?>" /></td>
            <td><?php echo JText::_( 'Life of room in days (since creation date). Leave 0 for no expiration. Current age: ' ); echo ($this->croom->timecreated? floor((time()-$this->croom->timecreated)/86400).JText::_(" days"):""); ?></td>
          </tr>
          <tr>
            <td width="100" align="right" class="key"><label for="timeout"> <?php echo JText::_( 'Cleanup (hours)' ); ?>: </label></td>
            <td><input class="text_area" type="text" name="timeout" id="timeout" size="8" maxlength="9" value="<?=($this->croom->timeout?$this->croom->timeout:0)?>" /></td>
            <td><?php echo JText::_( 'Room cleanup (deletion) if not used for that amout of hours. Leave 0 for no cleanup. ' ); ?></td>
          </tr>
          <tr>
	        <td width="100" align="right" class="key"><label for="credits"> <?php echo JText::_( 'Credits (minutes)' ); ?>: </label></td>
            <td><input class="text_area" type="text" name="credits" id="credits" size="8" maxlength="9" value="<?=($this->croom->credits?$this->croom->credits:0)?>" /></td>
            <td><?php echo JText::_( 'Usage will add up for each user (meaning 2 users for 5 minutes of video chat will require 10 streaming minutes). Leave 0 for unlimited usage.' ); ?></td>
          </tr>
           <tr>
	        <td width="100" align="right" class="key"> <?php echo JText::_( 'Credits Reset (days)' ); ?>: </td>
            <td><input class="text_area" type="text" name="creditsreset" id="creditsreset" size="8" maxlength="9" value="<?=($this->croom->creditsreset?$this->croom->creditsreset:0)?>" /></td>
            <td><?php echo JText::_( 'Specify when used credits are reset. Set 1 for daily, 7 for weekly, 30 monthly, 365 yearly. Leave 0 to count lifetime usage.' ); ?></td>
          </tr>
        </table>
        <br />

        <?=($this->croom->timecreated?JText::_('This room was created on: ').date("D M j G:i:s T Y",$this->croom->timecreated):"")?>
<?php if (!$this->croom->timecreated) $this->croom->timecreated=time();
?>
    </fieldset>
    <br />

     <fieldset class="adminform">
      <legend><?php echo JText::_( 'User Permissions' ); ?></legend>
        <table class="admintable">
          <tr>
            <td align="right" class="key"><?php echo JText::_( 'Owner' ); ?></td>
            <td><input class="text_area" type="text" name="owner" id="owner" size="48" maxlength="100" value="<?=($this->croom->owner)?>" /></td>
            <td><?php echo JText::_( 'Room owner username.' ); ?></td>
          </tr>
                  <tr>
          <td align="right" class="key"><?php echo JText::_( 'Allow Visitors' ); ?></td>
          <td><select name="visitors" id="visitors">
            <option value="0" <?=($this->croom->visitors=="0"?"selected":"")?>><?php echo JText::_( 'No' ); ?></option>
            <option value="1" <?=($this->croom->visitors=="1"?"selected":"")?>><?php echo JText::_( 'Yes' ); ?></option>
          </select></td>
            <td><?php echo JText::_( 'Allow guests (not registered and logged in users) to enter.' ); ?></td>
        </tr>

           <tr>
            <td align="right" class="key"><?php echo JText::_( 'View Credit Info' ); ?></td>
            <td><input class="text_area" type="text" name="showcredit" id="showcredit" size="48" maxlength="100" value="<?=($this->croom->showcredit?$this->croom->showcredit:"Admins")?>" /></td>
            <td><?php echo JText::_( 'View credit usage statistics realtime.' ); ?></td>
          </tr>
        </table>
      <BR><?php echo JText::_( 'Set user groups as comma separted joomla user roles, usernames, or use these wider groups:' ); ?>
      <BR><?php echo JText::_( 'Admins: Super Administrator, Administrator, Manager. Also includes owner.' ); ?>
      <BR><?php echo JText::_( 'Members: Super Administrator, Administrator, Manager, Publisher, Editor, Author, Registered.' ); ?>
      <BR><?php echo JText::_( 'All: Super Administrator, Administrator, Manager, Publisher, Editor, Author, Registered, Guest.' ); ?>
      <BR><?php echo JText::_( 'None: feature disabled for all categories.' ); ?>
      </fieldset>
</div>
<div class="clr"></div>

<input type="hidden" name="option" value="com_videowhisper_2wvc" />
<input type="hidden" name="timecreated" value="<?=$this->croom->timecreated?>" />
<input type="hidden" name="id" value="<?php echo $this->croom->id; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="room" />
</form>
